=== modified file 'codeigniter/application/config/config.php'
--- codeigniter/application/config/config.php	2013-04-22 09:22:55 +0000
+++ codeigniter/application/config/config.php	2013-04-22 09:51:59 +0000
@@ -14,7 +14,7 @@
 | path to your installation.
 |
 */
-$config['base_url']	= 'http://localhost/lenasys/codeigniter/';
+$config['base_url']	= 'http://webblab.iki.his.se/lenasys/codeigniter/';
 
 /*
 |--------------------------------------------------------------------------

=== added file 'codeigniter/application/controllers/ExamplesController.php'
--- codeigniter/application/controllers/ExamplesController.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/controllers/ExamplesController.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,48 @@
+<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+
+class ExamplesController extends CI_Controller {
+
+	/**
+	 * Index Page for this controller.
+	 *
+	 * Maps to the following URL
+	 * 		http://example.com/index.php/welcome
+	 *	- or -  
+	 * 		http://example.com/index.php/welcome/index
+	 *	- or -
+	 * Since this controller is set as the default controller in 
+	 * config/routes.php, it's displayed at http://example.com/
+	 *
+	 * So any other public methods not prefixed with an underscore will
+	 * map to /index.php/welcome/<method_name>
+	 * @see http://codeigniter.com/user_guide/general/urls.html
+	 */
+	public function index()
+	{
+		/* headData manages the <head>-tag and loads corresponding CSS.
+		 * The views that are entered will load CSS with same name.
+		 * Ex. test_header will load test_header.css
+		 */
+		$headData['list'] = array('header', 'examplesMenu', 'examplesBody');
+		$this->load->view('headTag', $headData);
+		$this->load->view('header');
+		
+		// menuData loads items to the menu.
+		$menuData['list'] = array('Quizzes', 'JavaScript', 'jQuery', 'AJAX API', 'SQL', 'PHP', 'Rollekunskap');
+		$this->load->view('examplesMenu', $menuData);
+		
+		// examples matrix loads headers and example titles to the body.
+		$examples['titles'] = Array(
+			'JavaScript' => Array('Example0', 'Example1', 'Example2'),
+			'jQuery' => Array('Example0', 'ruben', 'Example2'),
+			'AJAX API' => Array('Example0', 'Example1', 'Example2'),
+			'SQL' => Array('Example0', 'Example1', 'Example2'),
+			'PHP' => Array('Example0', 'Example1', 'Example2'),
+			'Rollekunskap' => Array('Rolle', 'is', 'awsome', 'because', 'he', 'can', 'fix', 'stuffs')
+		);
+		$this->load->view('examplesBody', $examples);	
+	}
+}
+
+/* End of file welcome.php */
+/* Location: ./application/controllers/welcome.php */
\ No newline at end of file

=== modified file 'codeigniter/application/controllers/home.php'
--- codeigniter/application/controllers/home.php	2013-04-18 18:40:36 +0000
+++ codeigniter/application/controllers/home.php	2013-04-22 09:52:07 +0000
@@ -21,7 +21,7 @@
 				$this->load->view('home_view');
 			} else {
 				//Redirect user to login page
-				redirect('login', 'refresh');
+				redirect(base_url().'login', 'refresh');
 			}
 		}
 	}

=== modified file 'codeigniter/application/controllers/login.php'
--- codeigniter/application/controllers/login.php	2013-04-18 18:40:36 +0000
+++ codeigniter/application/controllers/login.php	2013-04-22 09:52:07 +0000
@@ -19,7 +19,7 @@
 			//If user is already logged in
 			if($this->user->isLoggedIn()) {
 				//User already logged in
-				redirect('home', 'refresh');
+				redirect(base_url().'home', 'refresh');
 			} else {
 				//Display the login form
 				$this->drawLoginForm('');
@@ -49,7 +49,7 @@
 				
 				//Try to login
 				if ($this->user->login($username, $password)) {
-					redirect('home', 'refresh');
+					redirect(base_url().'home', 'refresh');
 				} else {
 					$this->drawLoginForm('Access denied!');
 				}

=== modified file 'codeigniter/application/controllers/logout.php'
--- codeigniter/application/controllers/logout.php	2013-04-18 18:40:36 +0000
+++ codeigniter/application/controllers/logout.php	2013-04-22 09:52:07 +0000
@@ -21,7 +21,7 @@
 			$this->user->logout();
 			
 			//Redirect user
-			redirect('home', 'refresh');
+			redirect(base_url().'home', 'refresh');
 		}
 	}
 ?>
\ No newline at end of file

=== added file 'codeigniter/application/views/examplesBody.php'
--- codeigniter/application/views/examplesBody.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/examplesBody.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,16 @@
+	<div id="bodyContainer">
+		<div class="pinkBanner">
+			<h1 name="Quizzes">Quizzes</h1>
+		</div>
+		<!-- Loops down below makes it possible to load values from a source -->
+	<?php foreach ($titles as $key => $value):?>
+		<div class="blueBanner">
+				<h1 name="<?php echo $key;?>"><?php echo $key;?></h1>
+			</div>
+			<?php foreach ($value as $page):?>
+	<p><a href="#"><?php echo $page;?></a></p>
+			<?php endforeach;?>	
+	<?php endforeach;?>	
+	</div>
+</body>
+</html>
\ No newline at end of file

=== added file 'codeigniter/application/views/examplesMenu.php'
--- codeigniter/application/views/examplesMenu.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/examplesMenu.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,12 @@
+	<div id="menuContainer">
+		<div id="navigation">
+			<ul>
+					<li class="menuHeader">Quick links</li>
+					<!-- Loads menu items from array -->
+				<?php foreach ($list as $item):?>
+	<a href="#<?php echo $item;?>" class="menuLink"><li><?php echo $item;?></li></a>
+				<?php endforeach;?>			
+			</ul>
+		</div>
+	</div>
+	<div id="wrapper">

=== added file 'codeigniter/application/views/headTag.php'
--- codeigniter/application/views/headTag.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/headTag.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,11 @@
+<html>
+<head>
+	<meta http-equiv="content-type" content="text/html;charset=UTF-8">
+	<!-- Loads CSS for each view entered in array -->
+	<?php foreach ($list as $item):?>
+<link rel="stylesheet" href="<?php echo base_url();?>codeigniter/css/<?php echo $item;?>.css" type="text/css" media="screen"/>
+	<?php endforeach;?>
+<script type="text/javascript" src="http://wwwlab.iki.his.se/~gush/Webbprogrammering/jquery/jquery-1.8.2.min.js"></script>
+	<script type="text/javascript" src="../js/head_tag.js"></script>
+</head>
+<body>

=== added file 'codeigniter/application/views/header.php'
--- codeigniter/application/views/header.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/header.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,6 @@
+	<div id="header">
+		<div id="logoContainer">
+			<a href="#" class="logo" title="Back to startpage">haha poo xD!</a>
+			<span class="title">Webbprogrammering</span>
+		</div>
+	</div>

=== modified file 'codeigniter/application/views/home_view.php'
--- codeigniter/application/views/home_view.php	2013-04-18 18:40:36 +0000
+++ codeigniter/application/views/home_view.php	2013-04-22 09:52:07 +0000
@@ -6,7 +6,8 @@
 	<body>
 		<h1>Home</h1>
 		<h2>Welcome!</h2>
-		<a href="logout">Logout</a><br>
+		<a href="<?php echo base_url(); ?>codeviewer">CodeViewer</a><br>
+		<a href="<?php echo base_url(); ?>logout">Logout</a><br>
 		<pre>
 			<?php
 				print_r($this->session->all_userdata());

=== added file 'codeigniter/css/examplesBody.css'
--- codeigniter/css/examplesBody.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/examplesBody.css	2013-04-22 09:51:59 +0000
@@ -0,0 +1,67 @@
+body {
+	font: 13px Helvetica;
+	text-shadow: 0.3px 0.3px #ddd;
+	color: #4F5155;
+	height:1500px;
+}
+
+h1{
+	font-size: 18px;
+	line-height:200%;
+	color: #fff;
+	margin:0;
+	margin-left:10px;
+}
+
+h3{
+	font-size:16px;
+	color:#333;
+	margin-top:3px;
+	margin-bottom:3px;
+	margin-left:0px;
+	margin-right:0px;
+}
+
+p{
+	margin:0;
+	font-size:16px;
+}
+
+a:link{
+	color:#4F5155;
+	text-decoration:none;
+}
+
+a:visited{
+	color:#4F5155;
+	text-decoration:none;
+}
+
+a:hover{
+	color:#000;
+}
+
+/*	The box where all stuff in in body is generated in.*/
+#bodyContainer{
+	float:left;
+	margin-left:5em;
+	margin-top:5em;
+	width:70%;
+}
+
+/*	pinkBanner is a class for a div which contains the style settings for a header that contains h1 */
+.pinkBanner{
+	margin-bottom: 8px; 
+	width:100%; 
+	background-color:#ae2771; 
+	border:1px solid #9b195c; 
+}
+
+/*	blueBanner is a class for a div which contains the style settings for a header that contains h1 */
+.blueBanner{
+	margin-bottom: 8px;
+	margin-top: 8px;
+	width:100%; 
+	background-color:#0a68ad; 
+	border:1px solid #074877; 
+}
\ No newline at end of file

=== added file 'codeigniter/css/examplesMenu.css'
--- codeigniter/css/examplesMenu.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/examplesMenu.css	2013-04-22 09:51:59 +0000
@@ -0,0 +1,74 @@
+body {
+	font: 13px Helvetica;
+	text-shadow: 0.5px 0.5px #ddd;
+	color: #4F5155;
+}
+
+/* Wraps body content loaded after menu view */
+#wrapper{
+	margin-left: 17em;
+	margin-right: auto;
+	width:70em;
+}
+
+/* Container for menu */
+#menuContainer{
+	float:left;	
+	position:fixed;
+	width:161px;
+	background-color: #EEE;
+	margin: 10px;
+	margin-left:8.1em;
+	margin-top:5em;
+	border: 1px solid #D0D0D0;
+	border-bottom:0px;
+	-webkit-box-shadow: 0 0 8px #D0D0D0;
+}
+
+/* Menu list */
+#navigation{
+	width:136px;
+}
+
+#navigation a{
+	display:block;
+	color: #000;
+	text-decoration:none;
+	background-color: transparent;
+}	
+
+#navigation ul {
+	list-style-type:none;
+	width:100%;
+	margin:0;
+	padding:0;
+	line-height: 250%;
+}
+
+#navigation li {
+	padding-left:10px;
+	padding-right:15px;
+	width:100%;
+	border-bottom:1px solid #d0d0d0;
+	margin:0;
+}
+
+#navigation li:hover {
+	background-color: #0a68ad;
+	color: #fff;
+}	
+
+#navigation li:hover a {
+	color: #ffffff;
+}	
+
+/* Header for menu list */
+#navigation li.menuHeader{
+	width:138px;
+	margin-left:-1px;
+	font-size: 18px;
+	line-height:200%;
+	font-weight: bold;
+	color: #fff;
+	background-color: #9db400;
+}
\ No newline at end of file

=== added file 'codeigniter/css/header.css'
--- codeigniter/css/header.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/header.css	2013-04-22 09:51:59 +0000
@@ -0,0 +1,47 @@
+body{
+	margin:0;
+	padding:0;
+	overflow-x:hidden;
+}
+
+/* Header styling */
+#header{
+	position:fixed;
+	margin:0;
+	padding:0;
+	float:left;
+	width:100%;
+	height:50px;
+	border:1px solid #111111;
+	background-color: #333333;
+	-webkit-box-shadow: 0 0 8px #D0D0D0;
+}
+
+/* Container for logo */
+#logoContainer {
+	margin-top:0px;
+	margin-left:8em;
+	margin-right:2em;
+	height:50px;
+}
+
+/* Logo picture and link */
+.logo{
+	display:block;
+	position: absolute;
+	width: 162px;
+	height: 51px;
+	background-image: url(../img/logo.png);
+	background-repeat:no-repeat;
+	text-indent: -99999px; 
+}
+
+/* Course title */
+span.title{
+	line-height:200%;
+	margin-top:2em;
+	margin-left:7em;
+	color:white;
+	font-size:2em;
+	text-shadow: 0.5px 0.5px #ddd;
+}
\ No newline at end of file

=== added file 'codeigniter/img/logo.png'
Binary files codeigniter/img/logo.png and codeigniter/img/logo.png differ
=== added file 'codeigniter/js/head_tag.js'
--- codeigniter/js/head_tag.js	1970-01-01 00:00:00 +0000
+++ codeigniter/js/head_tag.js	2013-04-22 09:51:59 +0000
@@ -0,0 +1,36 @@
+$(document).ready(function(){
+	/* When menu item is clicked, scroll down to target with -64px offset. 
+	 * Target is decided according to h1[name='xxx'] instead of id. 
+	 */
+	$('a[href^="#"]').on('click',function (e) {
+	    e.preventDefault();
+	    var target = (this.hash + ', h1[name="' + this.hash.substr(1) + '"]'),
+	    $target = $(target);
+	    $('html, body').stop().animate({
+	        'scrollTop': $target.offset().top -64
+	    }, 400, 'swing', function () {
+	        window.location.hash = target;
+			removeHash();
+	    });
+	});
+});
+
+/* Function removes hash on URL */
+function removeHash() { 
+  if(window.location.hash) 
+  {
+    var scrollV, scrollH, loc = window.location;
+    if ("pushState" in history)
+        history.pushState("", document.title, loc.pathname + loc.search);
+    else {
+        // Prevent scrolling by storing the page's current scroll offset
+        scrollV = document.body.scrollTop;
+        scrollH = document.body.scrollLeft; 
+        loc.hash = "";
+
+        // Restore the scroll offset, should be flicker free
+        document.body.scrollTop = scrollV;
+        document.body.scrollLeft = scrollH;
+    }
+  }
+}
\ No newline at end of file

=== modified file 'databas.sql'
--- databas.sql	2013-04-22 12:12:37 +0000
+++ databas.sql	2013-04-22 13:26:58 +0000
@@ -70,10 +70,29 @@
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
+-- Table `lenasys`.`Categories`
+-- -----------------------------------------------------
+
+CREATE  TABLE IF NOT EXISTS `lenasys`.`Categories` (
+  `categoryName` VARCHAR(64) NOT NULL ,
+  `courseID` VARCHAR(10) NOT NULL ,
+  `orderNr` INT NULL , -- the order of the examples in the same category 
+  PRIMARY KEY (`categoryName`, `courseID`) ,
+  INDEX `fk_Categories_Courses1_idx` (`courseID` ASC) ,
+  UNIQUE INDEX `categoryName_UNIQUE` (`categoryName` ASC) ,
+  CONSTRAINT `fk_Categories_Courses1`
+    FOREIGN KEY (`courseID` )
+    REFERENCES `lenasys`.`Courses` (`courseID` )
+    ON DELETE NO ACTION
+    ON UPDATE NO ACTION)
+ENGINE = InnoDB;
+
+-- -----------------------------------------------------
 -- Table `lenasys`.`Quizzes`
 -- -----------------------------------------------------
 CREATE  TABLE IF NOT EXISTS `lenasys`.`Quizzes` (
   `quizNr` INT NOT NULL ,
+  `categoryName` VARCHAR(64) NOT NULL ,
   `courseID` VARCHAR(10) NOT NULL ,
   `quizData` VARCHAR(45) NULL ,
   `allowMultipleReplies` BOOLEAN NULL , 
@@ -81,11 +100,11 @@
   `openingDate` DATETIME NULL ,  -- time for the student to do the quiz
   `closingDate` DATETIME NULL ,
   PRIMARY KEY (`quizNr`, `courseID`) ,
-  INDEX `fk_Quizzes_Courses1_idx` (`courseID` ASC) ,
+  INDEX `fk_Quizzes_Categories1_idx` (`categoryName` ASC , `courseID` ASC) ,
   UNIQUE INDEX `quizNr_UNIQUE` (`quizNr` ASC) ,
-  CONSTRAINT `fk_Quizzes_Courses1`
-    FOREIGN KEY (`courseID` )
-    REFERENCES `lenasys`.`Courses` (`courseID` )
+  CONSTRAINT `fk_Quizzes_Categories1`
+    FOREIGN KEY (`categoryName`, `courseID` )
+    REFERENCES `lenasys`.`Categories` (`categoryName`, `courseID` )
     ON DELETE NO ACTION
     ON UPDATE NO ACTION)
 ENGINE = InnoDB;
@@ -137,35 +156,25 @@
     ON UPDATE NO ACTION)
 ENGINE = InnoDB;
 
--- -----------------------------------------------------
--- Table `lenasys`.`Categories`
--- -----------------------------------------------------
 
-CREATE  TABLE IF NOT EXISTS `lenasys`.`Categories` (
-  `categoryName` VARCHAR(64) NOT NULL ,
-  `courseID` VARCHAR(10) NOT NULL ,
-  `orderNumber` INT NULL , -- the order of the examples in the same category 
-  PRIMARY KEY (`categoryName`, `courseID`) ,
-  INDEX `fk_Examples_Courses1_idx` (`courseID` ASC) ,
-  UNIQUE INDEX `categoryName_UNIQUE` (`categoryName` ASC) ,
-  CONSTRAINT `fk_Categories_Courses1`
-    FOREIGN KEY (`courseID` )
-    REFERENCES `lenasys`.`Courses` (`courseID` )
-    ON DELETE NO ACTION
-    ON UPDATE NO ACTION)
-ENGINE = InnoDB;
 
 -- -----------------------------------------------------
 -- Table `lenasys`.`Examples`
 -- -----------------------------------------------------
 CREATE  TABLE IF NOT EXISTS `lenasys`.`Examples` (
   `exampleName` VARCHAR(20) NOT NULL ,
+  `categoryName` VARCHAR(64) NOT NULL ,
   `courseID` VARCHAR(10) NOT NULL ,
-  `orderNumber` INT NULL , -- the order of the examples in the same category 
+  `orderNr` INT NULL , -- the order of the examples in the same category 
   `description` VARCHAR(200) NULL ,
-  PRIMARY KEY (`exampleName`, `courseID`) ,
+  PRIMARY KEY (`exampleName`, `categoryName`, `courseID`) ,
   INDEX `fk_Examples_Courses1_idx` (`courseID` ASC) ,
   UNIQUE INDEX `exampleName_UNIQUE` (`exampleName` ASC) ,
+  CONSTRAINT `fk_Examples_Categories1`
+    FOREIGN KEY (`categoryName` )
+    REFERENCES `lenasys`.`Categories` (`categoryName` )
+	ON DELETE NO ACTION
+    ON UPDATE NO ACTION,
   CONSTRAINT `fk_Examples_Courses1`
     FOREIGN KEY (`courseID` )
     REFERENCES `lenasys`.`Courses` (`courseID` )
@@ -174,19 +183,19 @@
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
--- Table `lenasys`.`Pages`
+-- Table `lenasys`.`Containers`
 -- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`Pages` (
-  `pageName` VARCHAR(45) NOT NULL ,
+CREATE  TABLE IF NOT EXISTS `lenasys`.`Containers` (
+  `columnNr` INT NOT NULL ,
+  `orderNr` INT NOT NULL , -- the order of the examples in the same category 
   `exampleName` VARCHAR(20) NOT NULL ,
+  `categoryName` VARCHAR(64) NOT NULL ,
   `courseID` VARCHAR(10) NOT NULL ,
-  `orderNumber` INT NULL , 
-  `pageColumn` INT NOT NULL , -- which column in the view the file is presented
-  PRIMARY KEY (`pageName`, `exampleName`, `courseID`) ,
-  INDEX `fk_Pages_Examples1_idx` (`exampleName` ASC, `courseID` ASC) ,
-  CONSTRAINT `fk_Pages_Examples1`
-    FOREIGN KEY (`exampleName` , `courseID` )
-    REFERENCES `lenasys`.`Examples` (`exampleName` , `courseID` )
+  PRIMARY KEY (`columnNr`,  `orderNr`,`exampleName`,`categoryName`, `courseID`) ,
+  INDEX `fk_Containers_Examples1_idx` (`exampleName` ASC, `categoryName` ASC, `courseID` ASC) ,
+  CONSTRAINT `fk_Containers_Examples1`
+    FOREIGN KEY (`exampleName` ,`categoryName` , `courseID` )
+    REFERENCES `lenasys`.`Examples` (`exampleName` ,`categoryName` , `courseID` )
     ON DELETE NO ACTION
     ON UPDATE NO ACTION)
 ENGINE = InnoDB;
@@ -206,45 +215,31 @@
 
 
 -- -----------------------------------------------------
--- Table `lenasys`.`PageFiles`
+-- Table `lenasys`.`ContainerFiles`
 -- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`PageFiles` (
+CREATE  TABLE IF NOT EXISTS `lenasys`.`ContainerFiles` (
   `fileName` VARCHAR(20) NOT NULL ,
-  `pageName` VARCHAR(45) NOT NULL , -- 
+  `columnNr` INT NOT NULL ,
+  `orderNr` INT NOT NULL , -- the order of the examples in the same category 
   `exampleName` VARCHAR(20) NOT NULL ,
+  `categoryName` VARCHAR(64) NOT NULL ,
   `courseID` VARCHAR(10) NOT NULL ,
-  PRIMARY KEY (`fileName`, `pageName`, `exampleName`, `courseID`) ,
-  INDEX `fk_PagesFiles_Files1_idx` (`fileName` ASC) ,
-  INDEX `fk_PagesFiles_Pages1_idx` (`pageName` ASC, `exampleName` ASC, `courseID` ASC) ,
-  CONSTRAINT `fk_PagesFiles_Files1`
+  PRIMARY KEY (`fileName`, `columnNr`, `exampleName`,`categoryName`, `courseID`) ,
+  INDEX `fk_ContainersFiles_Files1_idx` (`fileName` ASC) ,
+  INDEX `fk_ContainersFiles_Containers1_idx` (`pageName` ASC, `exampleName` ASC, `courseID` ASC) ,
+  CONSTRAINT `fk_ContainersFiles_Files1`
     FOREIGN KEY (`fileName` )
     REFERENCES `lenasys`.`Files` (`fileName` )
     ON DELETE NO ACTION
     ON UPDATE NO ACTION,
-  CONSTRAINT `fk_PagesFiles_Pages1`
-    FOREIGN KEY (`pageName` , `exampleName` , `courseID` )
-    REFERENCES `lenasys`.`Pages` (`pageName` , `exampleName` , `courseID` )
-    ON DELETE NO ACTION
-    ON UPDATE NO ACTION)
-ENGINE = InnoDB;
-
-
--- -----------------------------------------------------
--- Table `lenasys`.`FileKeywords`
--- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`FileKeywords` (
-  `id` INT NOT NULL AUTO_INCREMENT ,
-  `fileName` VARCHAR(20) NOT NULL ,
-  `keyword` VARCHAR(20) NOT NULL ,
-  PRIMARY KEY (`id`, `fileName`) ,
-  INDEX `fk_FileKeywords_Files1_idx` (`fileName` ASC) ,
-  UNIQUE INDEX `id_UNIQUE` (`id` ASC) ,
-  CONSTRAINT `fk_FileKeywords_Files1`
-    FOREIGN KEY (`fileName` )
-    REFERENCES `lenasys`.`Files` (`fileName` )
-    ON DELETE NO ACTION
-    ON UPDATE NO ACTION)
-ENGINE = InnoDB;
+  CONSTRAINT `fk_ContainersFiles_Containers1`
+    FOREIGN KEY (`columnNr` , `orderNr`, `exampleName` , `courseID` )
+    REFERENCES `lenasys`.`Containers` (`columnNr` ,`orderNr`, `exampleName` , `courseID` )
+    ON DELETE NO ACTION
+    ON UPDATE NO ACTION)
+ENGINE = InnoDB;
+
+
 
 
 -- -----------------------------------------------------
@@ -253,14 +248,43 @@
 CREATE  TABLE IF NOT EXISTS `lenasys`.`FileInterestingLines` (
   `id` INT NOT NULL AUTO_INCREMENT ,
   `fileName` VARCHAR(20) NOT NULL ,
+  `columnNr` INT NOT NULL ,
+  `orderNr` INT NOT NULL , -- the order of the examples in the same category 
+  `exampleName` VARCHAR(20) NOT NULL ,
+  `categoryName` VARCHAR(64) NOT NULL ,
+  `courseID` VARCHAR(10) NOT NULL ,
   `beginAt` INT NULL ,
   `endAt` INT NULL ,
-  PRIMARY KEY (`id`, `fileName`) ,
+  PRIMARY KEY (`id`, `fileName` , `columnNr`, `exampleName`,`categoryName`, `courseID`) ,
   INDEX `fk_FileInterestingLines_Files1_idx` (`fileName` ASC) ,
   UNIQUE INDEX `id_UNIQUE` (`id` ASC) ,
   CONSTRAINT `fk_FileInterestingLines_Files1`
     FOREIGN KEY (`fileName` )
     REFERENCES `lenasys`.`Files` (`fileName` )
+	ON DELETE NO ACTION
+    ON UPDATE NO ACTION,
+	CONSTRAINT `fk_FileInterestingLines_ContainerFiles1`
+    FOREIGN KEY (`columnNr` , `orderNr`, `exampleName` , `categoryName`, `courseID` )
+    REFERENCES `lenasys`.`ContainerFiles` (`columnNr` ,`orderNr`, `exampleName` , `categoryName`, `courseID` )
+    ON DELETE NO ACTION
+    ON UPDATE NO ACTION)
+ENGINE = InnoDB;
+
+-- -----------------------------------------------------
+-- Table `lenasys`.`Keywords`
+-- -----------------------------------------------------
+CREATE  TABLE IF NOT EXISTS `lenasys`.`Keywords` (
+  `id` INT NOT NULL AUTO_INCREMENT ,
+  `keyword` VARCHAR(20) NOT NULL ,
+  `exampleName` VARCHAR(20) NOT NULL ,
+  `categoryName` VARCHAR(64) NOT NULL ,
+  `courseID` VARCHAR(10) NOT NULL ,
+  PRIMARY KEY (`id`, `fileName`) ,
+  INDEX `fk_Keywords_Files1_idx` (`fileName` ASC) ,
+  UNIQUE INDEX `id_UNIQUE` (`id` ASC) ,
+  CONSTRAINT `fk_Keywords_Examples1`
+    FOREIGN KEY (`exampleName`, `categoryName`, `courseID` )
+    REFERENCES `lenasys`.`Files` (`exampleName`, `categoryName`, `courseID` )
     ON DELETE NO ACTION
     ON UPDATE NO ACTION)
 ENGINE = InnoDB;
@@ -338,6 +362,8 @@
 
 
 -- -----------------------------------------------------
+-- orderNumber
+-- Foreign key in  quizzes will be from categories instead of courses.
 -- allow maximum of 5 succesfull quiz-attemps is a good begining for implementation of the loggingtables to add restriction. 
 SET SQL_MODE=@OLD_SQL_MODE;
 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;

